.table.table-ellipsis tbody td {max-width: 100px;overflow: hidden;text-overflow: ellipsis;white-space: nowrap}

.gray {
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    filter: grayscale(100%);
    filter: gray;
}

.badge-gray { background-color:var(--gray); }


#pannel {
    background-color: rgba(153,186,146,0.9);
    background-image: url(/assets/images/telegram.svg);
    background-size: 450px auto;
    background-repeat: repeat;
    z-index: 20;
}
#pannel-bg { z-index:10 }
.chat-messages,.chat-messages-empty {
    background: linear-gradient(to bottom right, rgb(206, 212, 141, 0.9), rgba(134, 182, 140, 0.8), rgba(134, 182, 140, 0.8), rgb(206, 212, 141, 0.9));
}
.chat-messages .message-text::selection { background-color:#c2dcf2; }
.chat-messages .message-text { white-space:pre-wrap;overflow-wrap:break-word;word-wrap: break-word; }
#chats .chat.selected { background-color:#419FD9; color:var(--white); }
#chats .chat.selected .text-muted,#chats .chat.selected .text-dark,#chats .chat.selected .font-weight-bold { color:var(--white) !important; }
#chats .chat.selected .virtual-photo { color: var(--gray) !important;}
.message-input .form-control { box-shadow:none }

.tab-light .nav-tabs .nav-link { color: var(--gray); }
.tab-light .nav-tabs .nav-link.active { color: var(--gray-dark); }

.scroll-down:hover { background-color:var(--light) !important }